Name:          libadwaita
Version:       1.6.3
Release:       1mamba
Summary:       Building blocks for modern GNOME applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.gnome.org/GNOME/libadwaita/
Source:        https://gitlab.gnome.org/GNOME/libadwaita.git/%{version}/libadwaita-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libappstream-devel
BuildRequires: libfribidi-devel
BuildRequires: libglib-devel
BuildRequires: libgraphene-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
BuildRequires: scons

%description
Building blocks for modern GNOME applications.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Graphical Desktop/Applications/Development
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.


%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libadwaita-1*.so.*
%{_libdir}/girepository-1.0/Adw-1.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libadwaita-1
%{_includedir}/libadwaita-1/*.h
%{_libdir}/libadwaita-1*.so
%{_datadir}/gir-1.0/Adw-1.gir
%{_datadir}/vala/vapi/libadwaita-1.deps
%{_datadir}/vala/vapi/libadwaita-1.vapi
%{_libdir}/pkgconfig/libadwaita-1.pc
%doc NEWS README.md

%files tools
%defattr(-,root,root)
%{_bindir}/adwaita-1-demo
%{_datadir}/applications/org.gnome.Adwaita1.Demo.desktop
%{_datadir}/metainfo/org.gnome.Adwaita1.Demo.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Adwaita1.Demo.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Adwaita1.Demo-symbolic.svg

%changelog
* Fri Jan 10 2025 Automatic Build System <autodist@openmamba.org> 1.6.3-1mamba
- automatic version update by autodist

* Sat Nov 23 2024 Automatic Build System <autodist@openmamba.org> 1.6.2-1mamba
- automatic version update by autodist

* Sun Oct 13 2024 Automatic Build System <autodist@openmamba.org> 1.6.1-1mamba
- automatic version update by autodist

* Mon Sep 16 2024 Automatic Build System <autodist@openmamba.org> 1.6.0-1mamba
- automatic version update by autodist

* Sat Aug 03 2024 Automatic Build System <autodist@openmamba.org> 1.5.3-1mamba
- automatic version update by autodist

* Sat Jun 29 2024 Automatic Build System <autodist@openmamba.org> 1.5.2-1mamba
- automatic version update by autodist

* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 1.5.1-1mamba
- automatic version update by autodist

* Sun Mar 17 2024 Automatic Build System <autodist@openmamba.org> 1.5.0-1mamba
- automatic version update by autodist

* Sun Mar 03 2024 Automatic Build System <autodist@openmamba.org> 1.4.4-1mamba
- automatic version update by autodist

* Fri Feb 09 2024 Automatic Build System <autodist@openmamba.org> 1.4.3-1mamba
- automatic version update by autodist

* Sat Dec 02 2023 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Mon Sep 04 2023 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic version update by autodist

* Sat Aug 05 2023 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Sun Jun 11 2023 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Sun Apr 23 2023 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Sat Mar 18 2023 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sun Mar 05 2023 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Sun Feb 12 2023 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Jan 07 2023 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Fri Sep 16 2022 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat Sep 03 2022 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic version update by autodist

* Sat Aug 06 2022 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Thu Jun 02 2022 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Wed May 25 2022 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Mon May 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- package created using the webbuild interface
